Bug 973180 - Delete of fact doesn't work when more queries with accumulate are defined
Summary: Delete of fact doesn't work when more queries with accumulate are defined
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: BRE (Show other bugs)
(Show other bugs)
Version: 6.0.0
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ER2
: 6.0.0
Assignee: Mario Fusco
QA Contact: Tomas David
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-11 12:32 UTC by Tomas David
Modified: 2014-08-06 20:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 20:17:24 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tomas David 2013-06-11 12:32:16 UTC
Description of problem:
When more queries are defined with accumulate in drl file and some fact is deleted before start of one query. Query returns all fact including the deleted fact.

Version-Release number of selected component (if applicable):
Drools 6.0.0.Beta3

How reproducible:
Pull request #212 submited in Drools.

Steps to Reproduce:
1. Write a simple test with one KieSession. Insert into kiesession two fact.
2. Make a drl file with two queries. Both queries contain accumulate. Queries should return names of facts.
3. Delete one fact from kiesession. Run query.

Actual results:
Two names are returned.

Expected results:
Only one name should be returned.

Additional info:

Comment 1 Mario Fusco 2013-07-26 08:41:39 UTC
I merged the PR. The provided test now succeeds, so I am assuming this issue has been already fixed.

Comment 2 Tomas David 2013-08-28 07:58:12 UTC
Verified on BRMS 6.0.0.ER2.


Note You need to log in before you can comment on or make changes to this bug.